NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Types | Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.CAE.CaeGroupCollection Class Reference

Provides methods for managing set NXOpen.CAE.CaeGroup More...

Inheritance diagram for NXOpen.CAE.CaeGroupCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Classes

struct  _AutoGroupSeedNames
 Contains the prefix seed names to be given to auto created groups by type If a seed value is passed as NULL, then the auto created groups by that type will be given a default prefix List of default prefixes are as follows: MAT- for material_seed PPT- for ppt_seed Color- for color_seed XSECT- for section_seed LAM- for laminate seed DIM- for dimension seed FE_TYPE- for meshcolltype_seed ACROSS- for connected across assembly component seed
 
struct  AutoGroupErrorCodes
 Contains list of error codes for each auto group type More...
 
struct  AutoGroupSeedNames
 Contains the prefix seed names to be given to auto created groups by type If a seed value is passed as NULL, then the auto created groups by that type will be given a default prefix List of default prefixes are as follows: MAT- for material_seed PPT- for ppt_seed Color- for color_seed XSECT- for section_seed LAM- for laminate seed DIM- for dimension seed FE_TYPE- for meshcolltype_seed ACROSS- for connected across assembly component seed More...
 
struct  AutoGroupTypes
 Contains information about the types by which we do auto grouping More...
 

Public Types

enum  EntityType { Node, Element }
 Entity type More...
 

Public Member Functions

unsafe NXOpen.CAE.CaeGroup CopyGroup (string setName, NXOpen.CAE.CaeGroup sourceGroup)
 Copies the input group, which must come from the same part as the collection. More...
 
unsafe
NXOpen.CAE.CaeGroupCollection.AutoGroupErrorCodes 
CreateAutoGroups (NXOpen.CAE.CaeGroupCollection.AutoGroupTypes autoGroupTypes, NXOpen.CAE.CaeGroupCollection.AutoGroupSeedNames autoGroupSeeds, out NXOpen.CAE.CaeGroup[] autoGroups)
 Auto group CAE entities based on attributes Types (attribute types) by which auto grouping needs to be done should be specified using the JA CAE_GROUP_COLLECTION_auto_group_types structure. More...
 
unsafe
NXOpen.CAE.CaeGroupCollection.AutoGroupErrorCodes 
CreateAutoGroups (NXOpen.CAE.Mesh[] ptMeshes, NXOpen.CAE.CaeGroupCollection.AutoGroupTypes autoGroupTypes, NXOpen.CAE.CaeGroupCollection.AutoGroupSeedNames autoGroupSeeds, out NXOpen.CAE.CaeGroup[] autoGroups)
 Auto group CAE entities based on attributes Types (attribute types) by which auto grouping needs to be done should be specified using the JA CAE_GROUP_COLLECTION_auto_group_types structure. More...
 
unsafe NXOpen.CAE.CaeGroup CreateExclusiveOrGroup (string setName, NXOpen.CAE.CaeGroup[] objects)
 Create a XOR of Groups More...
 
unsafe NXOpen.CAE.CaeGroup CreateGroup (string setName, NXOpen.TaggedObject[] objects)
 Create a Group More...
 
unsafe NXOpen.CAE.CaeGroup CreateGroup (string setName, int label, NXOpen.TaggedObject[] objects)
 Create a Group More...
 
unsafe
NXOpen.CAE.GroupByBoundaryBuilder 
CreateGroupByBoundaryBuilder ()
 Creates element group representing volume. More...
 
unsafe NXOpen.CAE.CaeGroup CreateGroupFromEntityIds (string setName, NXOpen.CAE.CaeGroupCollection.EntityType entityType, int[] entityID)
 Create a Node/Element Group from node/element IDs More...
 
unsafe NXOpen.CAE.CaeGroup CreateGroupHidden (NXOpen.TaggedObject[] objects)
 Create a Hidden Group This Group is not seen in the navigator or the Group Manager UI. More...
 
unsafe NXOpen.CAE.CaeGroup CreateIntersectionGroup (string setName, NXOpen.CAE.CaeGroup[] objects)
 Create a Intersection of Groups More...
 
unsafe NXOpen.CAE.CaeGroup CreateOutputGroup (NXOpen.TaggedObject[] objects)
 Create a Output Group More...
 
unsafe NXOpen.CAE.CaeGroup CreateSubtractGroup (string setName, NXOpen.CAE.CaeGroup fromGroup, NXOpen.CAE.CaeGroup excludedGroup)
 Create a Subtraction of two Groups More...
 
unsafe NXOpen.CAE.CaeGroup CreateUnionGroup (string setName, NXOpen.CAE.CaeGroup[] objects)
 Create a Union of Groups More...
 
unsafe NXOpen.CAE.CaeGroup FindObject (string journalIdentifier)
 Finds the NXOpen.CAE.CaeGroup with the given identifier as recorded in a journal. More...
 
unsafe void QueryGroupList (out NXOpen.TaggedObject[] objects)
 Query Groups list More...
 
NXOpen.CAE.CaeGroup[] ToArray ()
 Returns an array of NXOpen.CAE.CaeGroup objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Provides methods for managing set NXOpen.CAE.CaeGroup

To obtain an instance of this class, refer to NXOpen.CAE.CaePart

Created in NX6.0.0

Member Enumeration Documentation

Entity type

Enumerator
Node 
Element 

Member Function Documentation

unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.CaeGroupCollection.CopyGroup ( string  setName,
NXOpen.CAE.CaeGroup  sourceGroup 
)
inline

Copies the input group, which must come from the same part as the collection.

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setNameNew group name, if no name is input or the input name is invalid, a name will be generated.
sourceGroupmust come from the same part as the collection
Returns
unsafe NXOpen.CAE.CaeGroupCollection.AutoGroupErrorCodes NXOpen.CAE.CaeGroupCollection.CreateAutoGroups ( NXOpen.CAE.CaeGroupCollection.AutoGroupTypes  autoGroupTypes,
NXOpen.CAE.CaeGroupCollection.AutoGroupSeedNames  autoGroupSeeds,
out NXOpen.CAE.CaeGroup[]  autoGroups 
)
inline

Auto group CAE entities based on attributes Types (attribute types) by which auto grouping needs to be done should be specified using the JA CAE_GROUP_COLLECTION_auto_group_types structure.

The number of auto created groups and the array of auto created groups will be returned. Errors if any are returned by auto group type through the JA CAE_GROUP_COLLECTION_auto_group_error_codes structure.

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
autoGroupTypestypes specifying which attributes to group by
autoGroupSeedsprefix seed names for auto created groups by type. If this argument is NULL or if any seed name is NULL, default prefixes are given
autoGroupsoutput array of auto created groups
Returns
list of generated error codes for each auto group type
unsafe NXOpen.CAE.CaeGroupCollection.AutoGroupErrorCodes NXOpen.CAE.CaeGroupCollection.CreateAutoGroups ( NXOpen.CAE.Mesh[]  ptMeshes,
NXOpen.CAE.CaeGroupCollection.AutoGroupTypes  autoGroupTypes,
NXOpen.CAE.CaeGroupCollection.AutoGroupSeedNames  autoGroupSeeds,
out NXOpen.CAE.CaeGroup[]  autoGroups 
)
inline

Auto group CAE entities based on attributes Types (attribute types) by which auto grouping needs to be done should be specified using the JA CAE_GROUP_COLLECTION_auto_group_types structure.

The number of auto created groups and the array of auto created groups will be returned. Errors if any are returned by auto group type through the JA CAE_GROUP_COLLECTION_auto_group_error_codes structure.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
ptMeshes
autoGroupTypestypes specifying which attributes to group by
autoGroupSeedsprefix seed names for auto created groups by type. If this argument is NULL or if any seed name is NULL, default prefixes are given
autoGroupsoutput array of auto created groups
Returns
list of generated error codes for each auto group type
unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.CaeGroupCollection.CreateExclusiveOrGroup ( string  setName,
NXOpen.CAE.CaeGroup[]  objects 
)
inline

Create a XOR of Groups

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setNameName of the exclusive or group. If no name is input or the input name is invalid, a name will be generated.
objects
Returns
unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.CaeGroupCollection.CreateGroup ( string  setName,
NXOpen.TaggedObject[]  objects 
)
inline

Create a Group

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setNameName of a Set
objects
Returns
unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.CaeGroupCollection.CreateGroup ( string  setName,
int  label,
NXOpen.TaggedObject[]  objects 
)
inline

Create a Group

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setNameName of a Set
labelThe group label must be >=0 and be unique
objects
Returns
unsafe NXOpen.CAE.GroupByBoundaryBuilder NXOpen.CAE.CaeGroupCollection.CreateGroupByBoundaryBuilder ( )
inline

Creates element group representing volume.

Created in NX10.0.2

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.CaeGroupCollection.CreateGroupFromEntityIds ( string  setName,
NXOpen.CAE.CaeGroupCollection.EntityType  entityType,
int[]  entityID 
)
inline

Create a Node/Element Group from node/element IDs

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setNameName of a Set
entityType
entityID
Returns
unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.CaeGroupCollection.CreateGroupHidden ( NXOpen.TaggedObject[]  objects)
inline

Create a Hidden Group This Group is not seen in the navigator or the Group Manager UI.

This Group is only available within the part it was created (e.g., it is not occurrenced). This Group is not visible via enumeration methods of the NXOpen.CAE.CaeGroupCollection . This is a Group that can be referenced by a UDOBJ using a link_type == 3. Applications can use it to store and manage references to anything that can be managed by a NXOpen.CAE.CaeGroup . Whenever the part that holds onto this group is loaded, this Hidden Group will be destroyed from the part if there are no references to it.

Created in NX11.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
objects
Returns
unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.CaeGroupCollection.CreateIntersectionGroup ( string  setName,
NXOpen.CAE.CaeGroup[]  objects 
)
inline

Create a Intersection of Groups

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setNameName of the Intersection group. If no name is input or the input name is invalid, a name will be generated.
objects
Returns
unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.CaeGroupCollection.CreateOutputGroup ( NXOpen.TaggedObject[]  objects)
inline

Create a Output Group

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
objects
Returns
unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.CaeGroupCollection.CreateSubtractGroup ( string  setName,
NXOpen.CAE.CaeGroup  fromGroup,
NXOpen.CAE.CaeGroup  excludedGroup 
)
inline

Create a Subtraction of two Groups

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setNameName of the subtraction group. If no name is input or the input name is invalid, a name will be generated.
fromGroupThe Set that will be substracted
excludedGroupThe Set that will be used for substraction
Returns
unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.CaeGroupCollection.CreateUnionGroup ( string  setName,
NXOpen.CAE.CaeGroup[]  objects 
)
inline

Create a Union of Groups

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
setNameName of the Union group. If no name is input or the input name is invalid, a name will be generated.
objects
Returns
override int NXOpen.CAE.CaeGroupCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

unsafe NXOpen.CAE.CaeGroup NXOpen.CAE.CaeGroupCollection.FindObject ( string  journalIdentifier)
inline

Finds the NXOpen.CAE.CaeGroup with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
journalIdentifierIdentifier of the Set you want
Returns
unsafe void NXOpen.CAE.CaeGroupCollection.QueryGroupList ( out NXOpen.TaggedObject[]  objects)
inline

Query Groups list

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
objects
NXOpen.CAE.CaeGroup [] NXOpen.CAE.CaeGroupCollection.ToArray ( )
inline

Returns an array of NXOpen.CAE.CaeGroup objects.

Property Documentation

Tag NXOpen.CAE.CaeGroupCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.